// * Basscss Flex Object
 

.flex { display: -webkit-box; display: -webkit-flex; display: -ms-flexbox; display: flex }

.flex-column  { -webkit-box-orient: vertical; -webkit-box-direction: normal; -webkit-flex-direction: column; -ms-flex-direction: column; flex-direction: column }
.flex-wrap    { -webkit-flex-wrap: wrap; -ms-flex-wrap: wrap; flex-wrap: wrap }

.flex-center   { -webkit-box-align: center; -webkit-align-items: center; -ms-flex-align: center; align-items: center }
.flex-baseline { -webkit-box-align: baseline; -webkit-align-items: baseline; -ms-flex-align: baseline; align-items: baseline }
.flex-stretch  { -webkit-box-align: stretch; -webkit-align-items: stretch; -ms-flex-align: stretch; align-items: stretch }
.flex-start    { -webkit-box-align: start; -webkit-align-items: flex-start; -ms-flex-align: start; align-items: flex-start }
.flex-end      { -webkit-box-align: end; -webkit-align-items: flex-end; -ms-flex-align: end; align-items: flex-end }

.flex-first { -webkit-box-ordinal-group: 0; -webkit-order: -1; -ms-flex-order: -1; order: -1 }
.flex-last  { -webkit-box-ordinal-group: 1025; -webkit-order: 1024; -ms-flex-order: 1024; order: 1024 }

.flex-auto { -webkit-box-flex: 1; -webkit-flex: 1 1 auto; -ms-flex: 1 1 auto; flex: 1 1 auto }
.flex-grow { -webkit-box-flex: 1; -webkit-flex: 1 0 auto; -ms-flex: 1 0 auto; flex: 1 0 auto }
.flex-none { -webkit-box-flex: 0; -webkit-flex: none; -ms-flex: none; flex: none }

.flex > div { box-sizing: border-box }
@media (max-width: $screen-sm) {
  .sm-flex { display: -webkit-box; display: -webkit-flex; display: -ms-flexbox; display: flex }
  .sm-flex > div { box-sizing: border-box }
}
@media (max-width: $screen-md) {
  .md-flex { display: -webkit-box; display: -webkit-flex; display: -ms-flexbox; display: flex }
  .md-flex > div { box-sizing: border-box }
}
@media (max-width: $screen-lg) {
  .lg-flex { display: -webkit-box; display: -webkit-flex; display: -ms-flexbox; display: flex }
  .lg-flex > div { box-sizing: border-box }
}